Subject: RE: [External] : bug#53629: 27.1: add option to change face `mode-line-buffer-id` when mode-line is inactive

From: Drew Adams <[email-masked]>
Date: Mon, 31 Jan 2022 20:38:14 +0000

Hi José. No, I don't know why. I'll take a look (later). I confirm that I see the same thing. Dunno why Dired windows would be an exception.

I just noticed that the library doesn't seem to work on the dired buffer, on other buffers it does seem to work well. Do you know what could be the cause?

See library `modeline-win.el'.
Does it do what you're looking for?

It highlights the buffer name in the
mode-line for the selected window.

That is, whichever window is currently
selected, its buffer name in the mode
line is highlighted (using face
`mlw-mode-line-buffer-id-selected-window').

The code is here:
https://www.emacswiki.org/emacs/download/modeline-win.el<https://urldefense.com/v3/__https:/www.emacswiki.org/emacs/download/modeline-win.el__;!!ACWV5N9M2RV99hQ!fhaUnMpb2nBbq8z6sp8VIKwMVw95_ydxBOJpl_m_pSJiap2TsvVjfpOn0qMCjA_0$>
It's just a few lines of code.